Bug 1119857 - xfce4-weather-plugin 0.8.3-2 source API is deprecated
Summary: xfce4-weather-plugin 0.8.3-2 source API is deprecated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-weather-plugin
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 16:50 UTC by Derek Atkins
Modified: 2014-11-01 16:36 UTC (History)
3 users (show)

Fixed In Version: xfce4-weather-plugin-0.8.3-7.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 08:40:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Xfce 10916 None None None Never

Description Derek Atkins 2014-07-15 16:50:03 UTC
Description of problem:

I periodically see this in my log:

Jul 15 12:39:58 securerf lightdm: weather-Message: getting http://api.yr.no/weatherapi/locationforecastlts/1.1/?lat=33.978402;lon=-84.331534;msl=316
Jul 15 12:39:59 securerf lightdm: (wrapper:4599): weather-WARNING **: Met.no LocationforecastLTS API states that this version of the webservice is deprecated, and the plugin needs to be adapted to use a newer version, or it will stop working within a few month. Please file a bug on https://bugzilla.xfce.org if no one else has done so yet.


Version-Release number of selected component (if applicable):
xfce4-weather-plugin-0.8.3-2.fc20.x86_64

How reproducible:
100% -- just wait for an update and look in /var/log/messages
I see a message every 20 minutes.


Steps to Reproduce:
1.
2.
3.

Actual results:

See above

Expected results:

No deprecation warnings?


Additional info:

Might need an update to the package as per https://bugzilla.xfce.org/show_bug.cgi?id=10916

Comment 1 Vadim Raskhozhev 2014-10-10 22:40:20 UTC
Today it stopped working and displays no data. http://api.yr.no/weatherapi/locationforecastlts/1.1/?lat=33.978402;lon=-84.331534;msl=316 as well as URLs for other locations response "404 Not Found".

Comment 2 Fedora Update System 2014-10-11 17:45:19 UTC
xfce4-weather-plugin-0.8.3-7.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xfce4-weather-plugin-0.8.3-7.fc21

Comment 3 Fedora Update System 2014-10-11 17:45:43 UTC
xfce4-weather-plugin-0.8.3-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xfce4-weather-plugin-0.8.3-7.fc20

Comment 4 Fedora Update System 2014-10-11 17:46:30 UTC
xfce4-weather-plugin-0.8.3-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xfce4-weather-plugin-0.8.3-7.fc19

Comment 5 Fedora Update System 2014-10-11 17:46:54 UTC
xfce4-weather-plugin-0.8.3-7.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/xfce4-weather-plugin-0.8.3-7.el7

Comment 6 Fedora Update System 2014-10-12 13:55:39 UTC
Package xfce4-weather-plugin-0.8.3-7.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xfce4-weather-plugin-0.8.3-7.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12712/xfce4-weather-plugin-0.8.3-7.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-10-17 08:40:52 UTC
xfce4-weather-plugin-0.8.3-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-10-20 09:56:36 UTC
xfce4-weather-plugin-0.8.3-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-10-28 11:03:33 UTC
xfce4-weather-plugin-0.8.3-7.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-11-01 16:36:10 UTC
xfce4-weather-plugin-0.8.3-7.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.